<form (ngSubmit)="onSubmit()" [formGroup]="positionForm" class="mt-4 mx-2">
    <mat-form-field appearance="fill" class="mr-2">
        <mat-label>{{ 'POSITIONS.NAME' | translate }}</mat-label>
        <input matInput autocomplete="off"
            type="text"
            formControlName="positionName"
            [class.error]="!isNameValid()"
            #positionName
            [readonly]="oldPosition.id > 0" required/>
    </mat-form-field>
    <mat-form-field class="chip-list" appearance="fill">
        <mat-label>{{ 'POSITIONS.TAGS' | translate }} </mat-label>
        <mat-chip-list #chipList aria-label="Tag selection">
            <mat-chip
                *ngFor="let tag of tags"
                (removed)="remove(tag)">
                {{tag}}
                <button matChipRemove>
                    <mat-icon>cancel</mat-icon>
                </button>
            </mat-chip>
            <input
                placeholder="New tag..."
                #positionTags
                formControlName="positionTags"
                [matAutocomplete]="auto"
                [matChipInputFor]="chipList"
                [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
                (matChipInputTokenEnd)="onAdd($event)">
        </mat-chip-list>
        <mat-autocomplete #auto="matAutocomplete"
            (optionSelected)="selected($event)">
            <mat-option *ngFor="let tag of filteredTags | async" [value]="tag">
                {{tag}}
            </mat-option>
        </mat-autocomplete>
    </mat-form-field>
    <button mat-flat-button type="submit" [disabled]="!isFormValid()">
        {{ oldPosition.id ? 'ACTIONS.UPDATE' : 'ACTIONS.ADD' | translate }}
    </button>
</form>